import java.util.*;

// Class that can be run to view information about the tv show
// "The Last of Us".
public class Client {
    public static void main(String[] args) {
        TVShow show = new TVShow("The Last Of Us");
        show.addCastMember("Pedro Pascal");
        show.addCastMember("Bella Ramsey");

        show.addEpisode("Infected");
        show.addEpisode("Endure and Survive");

        printTVInfo(show);
    }

    // Prints out information about the given show.
    // Prints the name of the show, its number of episodes,
    // and the name of each episode.
    public static void printTVInfo(TVShow show) {
        System.out.println("TVShow Information");
        System.out.println("-------------------");
        System.out.println(show + " has " + show.getNumEpisodes() + " episodes:");
        List<String> episodes = show.getEpisodes();
        for (int i = 0; i < episodes.size(); i++) {
            System.out.println("  " + (i + 1) + ". " + episodes.get(i));
        }
    }
}
